import { IsString } from 'class-validator';
import { NotAcceptableError, NotFoundError } from 'routing-controllers';

/**
 * Error to throw when a track couldn't be found.
 */
export class TrackNotFoundError extends NotFoundError {
	@IsString()
	name = "TrackNotFoundError"

	@IsString()
	message = "Track not found!"
}

/**
 * Error to throw when two tracks' ids don't match.
 * Usually occurs when a user tries to change a track's id.
 */
export class TrackIdsNotMatchingError extends NotAcceptableError {
	@IsString()
	name = "TrackIdsNotMatchingError"

	@IsString()
	message = "The ids don't match! \n And if you wanted to change a track's id: This isn't allowed"
}